package com.steering.pss.qcm.model;

/**
 * 数据库表COM_BASE_PHY_R_STD所对应的实体类（生成工具：代码生成器1.0）
 * @author Administrator 2015-01-31
 */
public class ComBasePhyRStdEntity {
    /**
     * 表主键ID（大类代码||标准代码||Alpha代码||试验标准号）
     */
    private String phyStdId;
    /**
     * 标准代码(交货标准)
     */
    private String stdCode;
    /**
     * 标准名称(交货标准)
     */
    private String stdName;
    /**
     * Alpha标准代码
     */
    private String stdCodeAlpha;
    /**
     * Alpha标准名称
     */
    private String stdNameAlpha;
    /**
     * 材质大类代码 
     */
    private String phyCode;
    /**
     * 材质大类描述(A:拉伸,B:冲击,C:硬度....)
     */
    private String phyType;
    /**
     * 试验标准号
     */
    private String phyStd;
    /**
     * 创建人
     */
    private String createName;
    /**
     * 创建时间
     */
    private String createTime;
    /**
     * 修改人
     */
    private String updateName;
    /**
     * 修改时间
     */
    private String updateTime;
    /**
     * 删除人
     */
    private String deleteName;
    /**
     * 删除时间
     */
    private String deleteTime;
    /**
     * 有效标志(1:有效，0:无效)
     */
    private String validflag;
    /**
     * 备注
     */
    private String memo;
    private String stdFilePath;
    public ComBasePhyRStdEntity(){
        phyStdId = "";
        stdCode = "";
        stdName = "";
        stdCodeAlpha = "";
        stdNameAlpha = "";
        phyCode = "";
        phyType = "";
        phyStd = "";
        createName = "";
        createTime = "";
        updateName = "";
        updateTime = "";
        deleteName = "";
        deleteTime = "";
        validflag = "";
        memo = "";
        stdFilePath="";
    }

    /**
     * 表主键ID（大类代码||标准代码||Alpha代码||试验标准号）
     * @return value
     */
    public String getPhyStdId() {
        return phyStdId;
    }

    /**
     * 表主键ID（大类代码||标准代码||Alpha代码||试验标准号）
     * @param phyStdId value
     */
    public void setPhyStdId(String phyStdId) {
        this.phyStdId = phyStdId;
    }

    /**
     * 标准代码(交货标准)
     * @return value
     */
    public String getStdCode() {
        return stdCode;
    }

    /**
     * 标准代码(交货标准)
     * @param stdCode value
     */
    public void setStdCode(String stdCode) {
        this.stdCode = stdCode;
    }

    /**
     * 标准名称(交货标准)
     * @return value
     */
    public String getStdName() {
        return stdName;
    }

    /**
     * 标准名称(交货标准)
     * @param stdName value
     */
    public void setStdName(String stdName) {
        this.stdName = stdName;
    }

    /**
     * Alpha标准代码
     * @return value
     */
    public String getStdCodeAlpha() {
        return stdCodeAlpha;
    }

    /**
     * Alpha标准代码
     * @param stdCodeAlpha value
     */
    public void setStdCodeAlpha(String stdCodeAlpha) {
        this.stdCodeAlpha = stdCodeAlpha;
    }

    /**
     * Alpha标准名称
     * @return value
     */
    public String getStdNameAlpha() {
        return stdNameAlpha;
    }

    /**
     * Alpha标准名称
     * @param stdNameAlpha value
     */
    public void setStdNameAlpha(String stdNameAlpha) {
        this.stdNameAlpha = stdNameAlpha;
    }

    /**
     * 材质大类代码 
     * @return value
     */
    public String getPhyCode() {
        return phyCode;
    }

    /**
     * 材质大类代码 
     * @param phyCode value
     */
    public void setPhyCode(String phyCode) {
        this.phyCode = phyCode;
    }

    /**
     * 材质大类描述(A:拉伸,B:冲击,C:硬度....)
     * @return value
     */
    public String getPhyType() {
        return phyType;
    }

    /**
     * 材质大类描述(A:拉伸,B:冲击,C:硬度....)
     * @param phyType value
     */
    public void setPhyType(String phyType) {
        this.phyType = phyType;
    }

    /**
     * 试验标准号
     * @return value
     */
    public String getPhyStd() {
        return phyStd;
    }

    /**
     * 试验标准号
     * @param phyStd value
     */
    public void setPhyStd(String phyStd) {
        this.phyStd = phyStd;
    }

    /**
     * 创建人
     * @return value
     */
    public String getCreateName() {
        return createName;
    }

    /**
     * 创建人
     * @param createName value
     */
    public void setCreateName(String createName) {
        this.createName = createName;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改人
     * @return value
     */
    public String getUpdateName() {
        return updateName;
    }

    /**
     * 修改人
     * @param updateName value
     */
    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    /**
     * 修改时间
     * @return value
     */
    public String getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间
     * @param updateTime value
     */
    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 删除人
     * @return value
     */
    public String getDeleteName() {
        return deleteName;
    }

    /**
     * 删除人
     * @param deleteName value
     */
    public void setDeleteName(String deleteName) {
        this.deleteName = deleteName;
    }

    /**
     * 删除时间
     * @return value
     */
    public String getDeleteTime() {
        return deleteTime;
    }

    /**
     * 删除时间
     * @param deleteTime value
     */
    public void setDeleteTime(String deleteTime) {
        this.deleteTime = deleteTime;
    }

    /**
     * 有效标志(1:有效，0:无效)
     * @return value
     */
    public String getValidflag() {
        return validflag;
    }

    /**
     * 有效标志(1:有效，0:无效)
     * @param validflag value
     */
    public void setValidflag(String validflag) {
        this.validflag = validflag;
    }

    /**
     * 备注
     * @return value
     */
    public String getMemo() {
        return memo;
    }

    /**
     * 备注
     * @param memo value
     */
    public void setMemo(String memo) {
        this.memo = memo;
    }

    public String getStdFilePath() {
        return stdFilePath;
    }

    public void setStdFilePath(String stdFilePath) {
        this.stdFilePath = stdFilePath;
    }
    
    
}
